Subject: [bug#51428] core-updates-frozen-batched-changes built and ready to merge

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 27 Oct 2021 11:37:21 -0400

Hi Thiago,

Thiago Jung Bauermann <[email-masked]> writes:

> Hello Maxim,
>
> Em quarta-feira, 27 de outubro de 2021, às 01:04:01 -03, Maxim Cournoyer escreveu:
>> Hello,
>> 
>> I've experimented quite a bit with core-updates-frozen-batched-changes
>> in the last weeks, and it seems to be in a decent shape, good enough to
>> merge into core-updates-frozen, I think.
>
> Nice! Thank you very much for this work!
>
>> I'd like to merge it into core-updates-frozen by the beginning of
>> November, unless there are problems you can spot :-).
>
> I wouldn’t say it’s a problem but it’s an additional significant change to be aware of:
>
> polkit is updated to depend on mozjs-78, which depends on Rust which only builds on 
> x86_64. The practical consequence is that polkit and all its dependents (which include 
> GTK+ and some Qt libraries) become x86_64-only packages. I’m not saying it’s a problem, 
> but it’s a big change and I thought it would beuseful to mention it.
>
> I discovered this yesterday night when playing a bit with the core-updates-frozen-
> batched-changes branch on ppc64le.

Good observation!  Did rust ended up building and working fine there?
I'm hoping that with the reduced Rust bootstrap chain that starts with
1.39 and uses newer components, it may finally be more accessible to
other architectures.

> This may be a temporary limitation, because there are two pull requests for polkit 
> replacing mozjs with duktape:
>
> https://gitlab.freedesktop.org/polkit/polkit/-/merge_requests/35[1]
> https://gitlab.freedesktop.org/polkit/polkit/-/merge_requests/97[2]

Good to know!

Thank you,

Maxim